
Infrastructure - Task #7242

Feature # 6732 (Rejected): Add 'archived' records to search index

Add a new mechanism to remove the solr index of an object

2015-06-30 17:22 - Jing Tao

Status: Rejected Start date: 2015-06-30

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

When we delete an object from CN, the solr index of this object will be removed as well. Currently, we use this mechanism to remove

the solr index - set the archived value to be true in the system metadata. Solr repository will remove the index when it sees the

archive value is true.

However, this will not work anymore since the solr repository will keep the solr index for the archived objects. We need a new

mechanism to remove the solr index of a deleted object.

History

#1 - 2015-06-30 17:51 - Skye Roseboom

- Parent task set to #6732

#2 - 2015-07-16 19:50 - Skye Roseboom

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Deletes from the solr index are generated by calling 'remove' on the system metadata map for the associated documents system metadata record. 

Deletes are not generated based on 'archived'.

#3 - 2015-07-16 22:48 - Jing Tao

- Estimated time set to 0.00

I tested the delete method in cn-dev-ucsb-1. It worked:

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/meta/tao.13305.1

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/query/solr/?q=id:tao.13305.1
